Subject: RE: [Sip] STUN keep-alive: Client vs server generating requests

From: "Elwell, John" <[email-masked]>
Date: Wed, 12 Jul 2006 13:02:21 +0100

I think it would be a good idea to have this stun-interval=xxx. The proxy
will have its own upper limit of frequency of STUN requests it can handle,
depending on the number of registered UAs it supports. In general there is
likely to be some administrative action required for choosing the right
compromise between fast recovery from loss of connectivity and the number of
UAs a proxy can support. It is best to do this once at the proxy and have
that indicated to each registering UA. When administering this value,
account has to be taken of the NATs and firewalls involved, and if the value
chosen is too long for some NATs/firewalls, then it will fail. But likewise
if the UA chooses the value, it could be wrong not only for NATs/firewalls
but also for the proxy.

John

> -----Original Message-----
> From: Hadriel Kaplan [mailto:[email-masked]] 
> Sent: 10 July 2006 15:32
> To: 'Jeroen van Bemmel'; [email-masked]
> Subject: RE: [Sip] STUN keep-alive: Client vs server 
> generating requests
> 
> 
> > -----Original Message-----
> > From: Jeroen van Bemmel [mailto:[email-masked]]
> > 
> > OK, I'll take your word for it. If we then interpret such a
> > 'stun-interval=xxx' as an indication of support for STUN 
> (and say 'no STUN
> > unless interval is provided'), I'm happy
> > 
> > Only trouble is: in many cases, the proxy would not know 
> which type of NAT
> > there is in between, let alone how long it caches...
> 
> If it doesn't know, then it sets the value recommended in the draft.
> However, there are ways for the proxy to find out, and there are also
> operators who know what the timeout is. (e.g., if the NAT is 
> provided by
> them)
> 
> -hadriel
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip